class Theme < Stylesheet
  embedded_in :design
  field :name
  
  has_many :pages
  
  before_save :set_name
  
  protected
  
  def set_name
    self.name = self.file_filename.split('.')[0]
  end
  
end
